Bug 1013840 - [abrt] xorg-x11-server-Xorg-1.14.3-1.fc19: __assert_fail_base: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[abrt] xorg-x11-server-Xorg-1.14.3-1.fc19: __assert_fail_base: Process /usr/b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:ebe552a595e68b42acc586d1be7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 17:48 EDT by Duncan Starkey
Modified: 2015-02-17 12:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:25:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.13 KB, text/plain)
2013-09-30 17:48 EDT, Duncan Starkey
no flags Details
File: build_ids (2.20 KB, text/plain)
2013-09-30 17:48 EDT, Duncan Starkey
no flags Details
File: cgroup (153 bytes, text/plain)
2013-09-30 17:48 EDT, Duncan Starkey
no flags Details
File: core_backtrace (7.19 KB, text/plain)
2013-09-30 17:48 EDT, Duncan Starkey
no flags Details
File: dso_list (4.88 KB, text/plain)
2013-09-30 17:48 EDT, Duncan Starkey
no flags Details
File: environ (152 bytes, text/plain)
2013-09-30 17:48 EDT, Duncan Starkey
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-30 17:49 EDT, Duncan Starkey
no flags Details
File: maps (50.02 KB, text/plain)
2013-09-30 17:49 EDT, Duncan Starkey
no flags Details
File: open_fds (1.13 KB, text/plain)
2013-09-30 17:49 EDT, Duncan Starkey
no flags Details
File: proc_pid_status (897 bytes, text/plain)
2013-09-30 17:49 EDT, Duncan Starkey
no flags Details
File: var_log_messages (619 bytes, text/plain)
2013-09-30 17:49 EDT, Duncan Starkey
no flags Details

  None (edit)
Description Duncan Starkey 2013-09-30 17:48:40 EDT
Description of problem:
Crash occurred when processiong a zoom slide transition in an Libre Office Impress slide show

Version-Release number of selected component:
xorg-x11-server-Xorg-1.14.3-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -verbose -auth /run/gdm/auth-for-gdm-qFttn3/database -seat seat0 -nolisten tcp vt1
crash_function: __assert_fail_base
executable:     /usr/bin/Xorg
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 __assert_fail_base at assert.c:92
 #3 __assert_fail at assert.c:101
 #4 qxl_bo_output_bo_reloc at qxl_kms.c:485
 #5 qxl_image_create at qxl_image.c:174
 #6 qxl_surface_put_image at qxl_surface.c:798
 #7 uxa_do_put_image at uxa-accel.c:327
 #8 uxa_put_image at uxa-accel.c:365
 #9 ProcShmPutImage at shm.c:600
 #10 ProcShmDispatch at shm.c:1131
 #11 Dispatch at dispatch.c:432
Comment 1 Duncan Starkey 2013-09-30 17:48:44 EDT
Created attachment 805556 [details]
File: backtrace
Comment 2 Duncan Starkey 2013-09-30 17:48:47 EDT
Created attachment 805557 [details]
File: build_ids
Comment 3 Duncan Starkey 2013-09-30 17:48:49 EDT
Created attachment 805558 [details]
File: cgroup
Comment 4 Duncan Starkey 2013-09-30 17:48:52 EDT
Created attachment 805559 [details]
File: core_backtrace
Comment 5 Duncan Starkey 2013-09-30 17:48:55 EDT
Created attachment 805560 [details]
File: dso_list
Comment 6 Duncan Starkey 2013-09-30 17:48:58 EDT
Created attachment 805561 [details]
File: environ
Comment 7 Duncan Starkey 2013-09-30 17:49:01 EDT
Created attachment 805562 [details]
File: limits
Comment 8 Duncan Starkey 2013-09-30 17:49:04 EDT
Created attachment 805563 [details]
File: maps
Comment 9 Duncan Starkey 2013-09-30 17:49:08 EDT
Created attachment 805564 [details]
File: open_fds
Comment 10 Duncan Starkey 2013-09-30 17:49:10 EDT
Created attachment 805565 [details]
File: proc_pid_status
Comment 11 Duncan Starkey 2013-09-30 17:49:13 EDT
Created attachment 805566 [details]
File: var_log_messages
Comment 12 David Mansfield 2014-05-27 13:53:54 EDT
I believe there is an upstream bug (with attached patch) which addresses this:

https://bugs.freedesktop.org/show_bug.cgi?id=79317
Comment 13 Fedora End Of Life 2015-01-09 15:03:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 12:25:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.